Page MenuHomePhabricator

Unit conversion does not create psn:P2043 for Q531
Closed, ResolvedPublic

Description

In RDF export of Q531 both P2043 and P2370 should have normalized psn: statements, but looks like only one of them (P2370) does.

Since they refer to the same value, I suspect the bug may be in handling already generated values, that somehow omits psn:.

Details

Related Gerrit Patches:

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
OpenNone
Resolveddaniel

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2016, 5:30 PM
Smalyshev triaged this task as High priority.Nov 21 2016, 5:37 PM
Restricted Application added a project: Discovery. · View Herald TranscriptNov 22 2016, 1:49 AM

Change 322817 had a related patch set uploaded (by Smalyshev):
Add normalized values even if the value was encountered before.

https://gerrit.wikimedia.org/r/322817

Change 322873 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Avoid complicated condition flags in QuantityRdfBuilder

https://gerrit.wikimedia.org/r/322873

Change 322817 merged by jenkins-bot:
Add normalized values even if the value was encountered before.

https://gerrit.wikimedia.org/r/322817

daniel closed this task as Resolved.Dec 7 2016, 10:13 AM
daniel claimed this task.

Change 322873 abandoned by Thiemo Mättig (WMDE):
Avoid complicated condition flags in QuantityRdfBuilder

Reason:
I missed this somehow. Thanks for letting me know, and thanks a lot for changing you patch!

https://gerrit.wikimedia.org/r/322873